import React,{Component} from 'react';
import {connect} from 'react-redux';
import BlockInp from '@containers/BlockInpContainer';


class MainSuit extends Component{
  constructor(props){
    super(props)
  }
  render(){
    const {value,isRead}=this.props;
   return  <BlockInp title='主诉' boxMark='1' value={value} isRead={isRead}></BlockInp>;
  }
}

function mapStateToProps(state){
  const {mainSuit} = state;
  return {
    value:mainSuit.saveText[0],
  }
}
function mapDispatchToProps(dispatch,store){
  return {
  }
}

const MainSuitCont = connect(
  mapStateToProps,
  mapDispatchToProps
)(MainSuit);

export default MainSuitCont;